org.apache.lucene.search.similarities

## Class AfterEffectL

- java.lang.Object
- - org.apache.lucene.search.similarities.AfterEffect
  - - org.apache.lucene.search.similarities.AfterEffectL

    public class AfterEffectL
    extends AfterEffect

Model of the information gain based on Laplace's law of succession.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.AfterEffect

`AfterEffect.NoAfterEffect`

### Constructor Summary

Constructors
Constructor and Description
`AfterEffectL()` Sole constructor: parameter-free

### Method Summary

Methods
`Explanation` `explain(BasicStats stats, float tfn)` Returns an explanation for the score.
`float` `score(BasicStats stats, float tfn)` Returns the aftereffect score.
`String` `toString()` Subclasses must override this method to return the code of the after effect formula.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AfterEffectL

    public AfterEffectL()

Sole constructor: parameter-free

### Method Detail

#### score

    public final float score(BasicStats stats,
              float tfn)

Description copied from class: `AfterEffect`
Returns the aftereffect score.

Specified by:
  `score` in class `AfterEffect`

#### explain

    public final Explanation explain(BasicStats stats,
                      float tfn)

Description copied from class: `AfterEffect`
Returns an explanation for the score.

Specified by:
  `explain` in class `AfterEffect`

#### toString

    public String toString()

Description copied from class: `AfterEffect`
Subclasses must override this method to return the code of the after effect formula. Refer to the original paper for the list.

Specified by:
  `toString` in class `AfterEffect`